cd "$GIT_ZUE_DEV" || { echo "Failed to change directory to $GIT_ZUE_DEV. PANIC!"; exit 1; }
# can we see the docker-compose.yaml file in the repo?
-git cat-file HEAD:"$DOCKER_COMPOSE_FILENAME" > /dev/null 2>&1 || { echo "$DOCKER_COMPOSE_FILENAME not found in the repository. PANIC!"; exit 1; }
+git show HEAD:"$DOCKER_COMPOSE_FILENAME" > /dev/null 2>&1 || { echo "Failed to find $DOCKER_COMPOSE_FILENAME in the repository. PANIC!"; exit 1; }
# compare our local copy of the docker-compose.yaml with the one in the repo
if ! git diff --quiet HEAD:"$DOCKER_COMPOSE_FILENAME" "$DOCKER_COMPOSE_DIRECTORY/$DOCKER_COMPOSE_FILENAME"; then